MP4(3)

NAME

MP4GetHintTrackSdp - Get the SDP media level description associated with a hint track

SYNTAX

#include <mp4.h>

const char* MP4GetHintTrackSdp(
    MP4FileHandle hFile,
    MP4TrackId hintTrackId
)

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

trackId
    Specifies the hint track to which the operation applies.

RETURN VALUES

The SDP media level description fragment associated with the hint track.

DESCRIPTION

MP4GetHintTrackSdp returns the SDP (IETF RFC 2327) media level fragment associated with the hint track. This is used by a streaming server to create a complete SDP description of the multimedia session represented by the file.

The mp4broadcaster test program provided with the MP4 library gives an example of using this call to create the complete SDP description.

SEE ALSO

MP4(3) MP4SetHintTrackSdp(3) MP4AppendHintTrackSdp(3) MP4GetSessionSdp(3)